PHP Manual
Prev |  | Next

# PharFileInfo->getMetaData

(no version information, might be only in CVS)

PharFileInfo->getMetaData -- Returns file-specific meta-data saved with a file

## Description

int PharFileInfo->getMetaData ( void )

Return meta-data that was saved in the Phar archive's manifest for this file.

## Parameters

## Return Values

any PHP variable that can be serialized and is stored as meta-data for the file, or `NULL` if no meta-data is stored.

## Examples

Example 1. A PharFileInfo->getMetaData() example

`<?php // make sure it doesn't exist @unlink('brandnewphar.phar'); try { $p = new Phar(dirname(__FILE__) . '/brandnewphar.phar', 0, 'brandnewphar.phar'); $p['file.txt'] = 'hello'; $p['file.txt']->setMetaData(array('user' => 'bill', 'mime-type' => 'text/plain')); var_dump($p['file.txt']->getMetaData()); } catch (Exception $e) { echo 'Could not create/modify brandnewphar.phar: ', $e; } ?>`

The above example will output:

    array(2) {
      ["user"]=>
      string(4) "bill"
      ["mime-type"]=>
      string(10) "text/plain"
    }

## See Also

PharFileInfo->setMetaData()

Prev | Home | Next
PharFileInfo->getCRC32 | Up | PharFileInfo->getPharFlags